#version 330

in vec2 texcoord0;
out vec4 fragColor;
 
uniform sampler2D fboTexture; 
uniform float blurSize;
// const float blurSize = 1.0/400.0; 

void main(void)
{
	vec4 sum = vec4(0.0);
	
	sum += texture2D(fboTexture, vec2(texcoord0.x - 5.0*blurSize, texcoord0.y)) * 0.03;
	sum += texture2D(fboTexture, vec2(texcoord0.x - 4.0*blurSize, texcoord0.y)) * 0.06;
	sum += texture2D(fboTexture, vec2(texcoord0.x - 3.0*blurSize, texcoord0.y)) * 0.08;
	sum += texture2D(fboTexture, vec2(texcoord0.x - 2.0*blurSize, texcoord0.y)) * 0.12;
	sum += texture2D(fboTexture, vec2(texcoord0.x - blurSize, texcoord0.y)) * 0.15;
	sum += texture2D(fboTexture, vec2(texcoord0.x, texcoord0.y)) * 0.16;
	sum += texture2D(fboTexture, vec2(texcoord0.x + blurSize, texcoord0.y)) * 0.15;
	sum += texture2D(fboTexture, vec2(texcoord0.x + 2.0*blurSize, texcoord0.y)) * 0.12;
	sum += texture2D(fboTexture, vec2(texcoord0.x + 3.0*blurSize, texcoord0.y)) * 0.08;
	sum += texture2D(fboTexture, vec2(texcoord0.x + 4.0*blurSize, texcoord0.y)) * 0.06;
	sum += texture2D(fboTexture, vec2(texcoord0.x + 5.0*blurSize, texcoord0.y)) * 0.03;

	fragColor = sum;
}