#version 330

in vec3 position;
in vec2 uv;

out vec2 tex_uv;

uniform mat4 modelMatrix;
uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;

void main()
{
	gl_Position = projectionMatrix  * viewMatrix * modelMatrix * vec4(position, 1.0);
	tex_uv = uv;
}